### Method

# Secret Service set_alias_sync

#### Declaration [src]

    gboolean
    secret_service_set_alias_sync (
      SecretService* service,
      const gchar* alias,
      SecretCollection* collection,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Assign a collection to this alias. Aliases help determine well known collections, such as ‘default’.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block and should not be used in user interface threads.

#### Parameters

`alias`

  Type: `const gchar*`

  The alias to assign the collection to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`collection`

  Type: `SecretCollection`

  The collection to assign to the alias.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.